summaryrefslogtreecommitdiffstats
path: root/tests/parsertest-parse_8bit_escape.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/parsertest-parse_8bit_escape.sh')
-rwxr-xr-xtests/parsertest-parse_8bit_escape.sh31
1 files changed, 31 insertions, 0 deletions
diff --git a/tests/parsertest-parse_8bit_escape.sh b/tests/parsertest-parse_8bit_escape.sh
new file mode 100755
index 0000000..fd8e694
--- /dev/null
+++ b/tests/parsertest-parse_8bit_escape.sh
@@ -0,0 +1,31 @@
+#!/bin/bash
+# add 2018-06-28 by Pascal Withopf, released under ASL 2.0
+. ${srcdir:=.}/diag.sh init
+generate_conf
+add_conf '
+module(load="../plugins/imtcp/.libs/imtcp")
+input(type="imtcp" port="0" listenPortFileName="'$RSYSLOG_DYNNAME'.tcpflood_port" ruleset="ruleset1")
+
+$Escape8BitCharactersOnReceive on
+
+template(name="outfmt" type="string" string="%PRI%,%syslogfacility-text%,%syslogseverity-text%,%timestamp%,%hostname%,%programname%,%syslogtag%,%msg%\n")
+
+ruleset(name="ruleset1") {
+ action(type="omfile" file=`echo $RSYSLOG_OUT_LOG`
+ template="outfmt")
+}
+
+'
+startup
+tcpflood -m1 -M "\"<6>AUG 10 22:18:24 host tag This msg contains 8-bit European chars: äöü\""
+shutdown_when_empty
+wait_shutdown
+
+echo '6,kern,info,Aug 10 22:18:24,host,tag,tag, This msg contains 8-bit European chars: #303#244#303#266#303#274' | cmp - $RSYSLOG_OUT_LOG
+if [ ! $? -eq 0 ]; then
+ echo "invalid response generated, $RSYSLOG_OUT_LOG is:"
+ cat $RSYSLOG_OUT_LOG
+ error_exit 1
+fi;
+
+exit_test